Bug 1895368 - thunderbird-78.5.0 is available
Summary: thunderbird-78.5.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-06 13:48 UTC by Upstream Release Monitoring
Modified: 2020-12-05 01:15 UTC (History)
9 users (show)

Fixed In Version: thunderbird-78.5.0-1.fc33 thunderbird-78.5.0-1.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-01 01:27:59 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-11-06 13:48:57 UTC
Latest upstream release: 78.4.1
Current version/release in rawhide: 78.4.0-2.fc34
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 1 Upstream Release Monitoring 2020-11-06 13:49:07 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.4.1-20201022.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor-0.14.3.tar.xz

Comment 2 Upstream Release Monitoring 2020-11-09 21:52:42 UTC
Latest upstream release: 78.4.2
Current version/release in rawhide: 78.4.0-2.fc34
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 3 Upstream Release Monitoring 2020-11-09 21:52:51 UTC
The following Sources of the specfile are not valid URLs so we cannot automatically build the new version for you.  Please use URLs in your Source declarations if possible.

- thunderbird-langpacks-78.4.2-20201022.tar.xz
- thunderbird-mozconfig
- thunderbird-mozconfig-branded
- thunderbird-redhat-default-prefs.js
- thunderbird.desktop
- thunderbird.sh.in
- thunderbird-symbolic.svg
- thunderbird-wayland.sh.in
- thunderbird-wayland.desktop
- get-calendar-langpacks.sh
- node-stdout-nonblocking-wrapper
- cbindgen-vendor-0.14.3.tar.xz

Comment 4 Michael Riss 2020-11-10 13:55:22 UTC
Can we bump up he priority of this issue as the new version is said to fix a critical vulnerability?
https://www.mozilla.org/en-US/security/advisories/mfsa2020-49/#CVE-2020-26950

Comment 5 Upstream Release Monitoring 2020-11-11 16:09:52 UTC
Latest upstream release: 78.4.3
Current version/release in rawhide: 78.4.0-3.fc34
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 6 Upstream Release Monitoring 2020-11-11 16:14:50 UTC
An unexpected error occurred while downloading the new package sources; please report this as a bug on the-new-hotness issue tracker.

Comment 7 Michael Riss 2020-11-15 20:43:46 UTC
I tried to compile the version of the master branch directly on Fedora 32 and it worked. I opened a pull request (https://src.fedoraproject.org/rpms/thunderbird/pull-request/9) - not sure however whether this helps a lot as I didn't really do much except demonstrate that it compiles and seems to work for my needs. But the PR with the build on the CI system may reveal some problems or hickups. Maybe the long compile time will trip some timeout limits of the CI system. For reference the compile time on my laptop (i7-7700HQ, 4 cores @ 3.5 GHz) was ~4h.

Comment 8 Michael Riss 2020-11-17 17:58:51 UTC
The F32 build finished successfully: https://koji.fedoraproject.org/koji/taskinfo?taskID=55647406

I also tried to merge back master to the F31 and F33 branches and issued a test build on the CI.

F31: https://koji.fedoraproject.org/koji/taskinfo?taskID=55746920
F33: https://koji.fedoraproject.org/koji/buildinfo?buildID=1642840

F31 fails on the s390x platform, F33 builds successfully on all platforms.
I don't have access to a s390x machine so I cannot try to fix the F31 build problem.

Note, on F31 and F33 I only tested whether it builds, I did not test the functionality of the resulting build, my daily driver runs F32 only.

I do not open pull requests for F31 and F33 as the necessary changes are trivial (merge from master, build).
So far, I think this is all I can do from my end.

Comment 9 Upstream Release Monitoring 2020-11-18 14:34:22 UTC
Latest upstream release: 78.5.0
Current version/release in rawhide: 78.4.3-1.fc34
URL: https://www.thunderbird.net/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/4967/

Comment 10 Upstream Release Monitoring 2020-11-18 14:39:10 UTC
An unexpected error occurred while downloading the new package sources; please report this as a bug on the-new-hotness issue tracker.

Comment 11 Michael Riss 2020-11-18 15:29:30 UTC
I opened an issue for this the-new-hotness problem:
https://github.com/fedora-infra/the-new-hotness/issues/311

Comment 12 Fedora Update System 2020-11-27 10:27:50 UTC
FEDORA-2020-24bedcb95c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-24bedcb95c

Comment 13 Fedora Update System 2020-11-28 02:55:37 UTC
FEDORA-2020-24bedcb95c has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-24bedcb95c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-24bedcb95c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-28 03:04:20 UTC
FEDORA-2020-9493cfc1ac has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9493cfc1ac`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9493cfc1ac

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-12-01 01:27:59 UTC
FEDORA-2020-24bedcb95c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-12-05 01:15:39 UTC
FEDORA-2020-9493cfc1ac has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.